Foreman - Bug #2509

fact names are duplicated in the database
05/20/2013 08:24 AM - Ohad Levy

Status: Closed
Priority: Normal
Assignee:

Category:

Target version: 1.2.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

it seems that fact names are duplicated in the db, not sure how this happens but I'm guessing this is not happening in v1.1

regardless, we should fix that + have a migration to fix that in the db.

Related issues:
Related to Foreman - Bug #2498: Reports yaml import is very slow Closed

05/15/2013

Associated revisions

Revision 136f8dfc - 05/22/2013 11:02 AM - Dmitri Dolguikh

fixes #2509, fixes #2507: few issues around Host::Base#merge_facts and fact names
Revision b365f0a9 - 05/23/2013 04:01 AM - Dmitri Dolguikh
fixes #2509, fixes #2507: few issues around Host::Base#merge_facts and fact names

(cherry picked from commit 136f8dfcb3bbe9a816a265efe619ede33cad0ad4)

History

#1 - 05/22/2013 11:10 AM - Anonymous
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 136f8dfcb3bbe9a816a265efe619ede33cad0a94.

05/17/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/136f8dfcb3bbe9a816a265efe619ede33cad0a94
http://www.tcpdf.org

